Subject: Re: bug#22975: 25.0.92; CANNOT_DUMP build can't start in tty mode

From: Ken Raeburn <[email-masked]>
Date: Mon, 14 Mar 2016 23:33:33 -0400

On Mar 14, 2016, at 13:41, Eli Zaretskii <[email-masked]> wrote:
> OK, this is the message call.  Please see if the patch below solves
> this.
> 
> The other two errors come from the command loop, they are caused by
> the fact that calling message signaled an error, and that interrupted
> the rest of loadup.el loading.  So Emacs now enters the command loop
> with most of its support code absent.
> 
> If the patch below solves the error in calling message, it should also
> prevent these other 2 errors.

Yes, with that patch the emacs-25 branch starts up fine — X11 mode and tty mode (including in a way-too-narrow window), normal and CANNOT_DUMP.

Ken